- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QAbstractPrintDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qabstractprintdialog.h.

`#include <qabstractprintdialog.h>`

Inheritance diagram for QAbstractPrintDialog:
[legend]

List of all members.

## Public Types
enum | PrintRange { AllPages, Selection, PageRange, CurrentPage }
enum | PrintDialogOption { None = 0x0000, PrintToFile = 0x0001, PrintSelection = 0x0002, PrintPageRange = 0x0004, PrintShowPageSize = 0x0008, PrintCollateCopies = 0x0010, DontUseSheet = 0x0020, PrintCurrentPage = 0x0040 }
## Public Member Functions
| QAbstractPrintDialog (QPrinter *printer, QWidget *parent=0)
| ~QAbstractPrintDialog ()
virtual int | exec ()=0
void | addEnabledOption (PrintDialogOption option)
void | setEnabledOptions (PrintDialogOptions options)
PrintDialogOptions | enabledOptions () const
bool | isOptionEnabled (PrintDialogOption option) const
void | setOptionTabs (const QList< QWidget * > &tabs)
void | setPrintRange (PrintRange range)
PrintRange | printRange () const
void | setMinMax (int min, int max)
int | minPage () const
int | maxPage () const
void | setFromTo (int fromPage, int toPage)
int | fromPage () const
int | toPage () const
QPrinter * | printer () const
## Protected Member Functions
| QAbstractPrintDialog (QAbstractPrintDialogPrivate &ptr, QPrinter *printer, QWidget *parent=0)

## Member Enumeration Documentation

enum PrintRange

Search for all occurrences

Enumerator:

  AllPages | Search for all occurrences
  Selection | Search for all occurrences
  PageRange | Search for all occurrences
  CurrentPage | Search for all occurrences

Definition at line 65 of file qabstractprintdialog.h.

                        {
            AllPages,
            Selection,
            PageRange,
            CurrentPage
        };

enum PrintDialogOption

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  PrintToFile | Search for all occurrences
  PrintSelection | Search for all occurrences
  PrintPageRange | Search for all occurrences
  PrintShowPageSize | Search for all occurrences
  PrintCollateCopies | Search for all occurrences
  DontUseSheet | Search for all occurrences
  PrintCurrentPage | Search for all occurrences

Definition at line 72 of file qabstractprintdialog.h.

                               {
            None                    = 0x0000, // obsolete
            PrintToFile             = 0x0001,
            PrintSelection          = 0x0002,
            PrintPageRange          = 0x0004,
            PrintShowPageSize       = 0x0008,
            PrintCollateCopies      = 0x0010,
            DontUseSheet            = 0x0020,
            PrintCurrentPage        = 0x0040
        };

## Constructor & Destructor Documentation

QAbstractPrintDialog | ( | QPrinter * | printer,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QAbstractPrintDialog | ( |  | ) |

QAbstractPrintDialog | ( | QAbstractPrintDialogPrivate & | ptr,
|  | QPrinter * | printer,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

virtual int exec | ( |  | ) | `[pure virtual]`

Search for all occurrences

Reimplemented from QDialog.

Implemented in QPrintDialog.

void addEnabledOption | ( | PrintDialogOption | option | ) |

Search for all occurrences

void setEnabledOptions | ( | PrintDialogOptions | options | ) |

Search for all occurrences

PrintDialogOptions enabledOptions | ( |  | ) | const

Search for all occurrences

bool isOptionEnabled | ( | PrintDialogOption | option | ) | const

Search for all occurrences

void setOptionTabs | ( | const QList< QWidget * > & | tabs | ) |

Search for all occurrences

void setPrintRange | ( | PrintRange | range | ) |

Search for all occurrences

PrintRange printRange | ( |  | ) | const

Search for all occurrences

void setMinMax | ( | int | min,
|  | int | max
| ) |  |

Search for all occurrences

int minPage | ( |  | ) | const

Search for all occurrences

int maxPage | ( |  | ) | const

Search for all occurrences

void setFromTo | ( | int | fromPage,
|  | int | toPage
| ) |  |

Search for all occurrences

int fromPage | ( |  | ) | const

Search for all occurrences

int toPage | ( |  | ) | const

Search for all occurrences

QPrinter* printer | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qabstractprintdialog.h

QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog
QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog QAbstractPrintDialog